export class Action {
  constructor(name, scene) {
    this.name = name;
    this.scene = scene;
  }

  log(src, dest, msg, obj, symbol = '->>') {
    const logObj = false;
    this.scene.log(
      `${src.name} ${symbol} ${dest.name} : ${this.name} ${msg ?? ''} ${
        logObj && obj ? JSON.stringify(obj) : ''
      }`,
    );
  }
}
